[BDW] fix various GPU hang issues

Bug #1318589 reported by Timo Aaltonen on 2014-05-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

Backport an upstream commit that fixes various GPU hang bugs on Broadwell.

commit 9584959123b0453cf5313722357e3abb9f736aa7
Author: Kenneth Graunke <email address hidden>
Date: Thu May 8 16:44:37 2014 -0700

    i965: Fix GPU hangs on Broadwell in shaders with some control flow.

    According to the documentation, we need to set the source 0 register
    type to IMM for flow control instructions that have both JIP and UIP.

    Fixes GPU hangs in approximately 10 Piglit tests, 5 es3conform tests,
    Unigine Crypt, a WebGL raytracer demo, and several Steam titles.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 10.1.3-0ubuntu1

---------------
mesa (10.1.3-0ubuntu1) utopic; urgency=medium

  [ Maarten Lankhorst ]
  * Merge from unreleased debian-unstable.

  [ Timo Aaltonen ]
  * fix-gpu-hangs-on-bdw.diff: Upstream commit to fix various GPU hangs
    on Broadwell. (LP: #1318589)
 -- Maarten Lankhorst <email address hidden> Mon, 12 May 2014 09:51:08 +0000

Changed in mesa (Ubuntu):
status: New → Fix Released
Timo Aaltonen (tjaalton) on 2014-05-14
Changed in mesa (Ubuntu Trusty):
status: New → Incomplete
status: Incomplete → In Progress

Hello Timo, or anyone else affected,

Accepted mesa into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/10.1.3-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Timo Aaltonen (tjaalton) on 2014-05-19
tags: added: verification-done
removed: verification-needed
tags: added: verification-needed
removed: verification-done
Maarten Lankhorst (mlankhorst) wrote :

piglit tests: no regressions on snb, 13 more tests now pass

Seemingly a regression on nv96 with spec/ARB_timer_query/timestamp-get, but after examination it is probably a result of running all tests in parallel. Quite a lot MSAA tests started to pass. 14349 -> 14415

Maarten Lankhorst (mlankhorst) wrote :

On ATI spec/EXT_transform_feedback/tessellation quad_strip flat_first seems to start failing, a real regression. I'll attempt to bisect it.

Brian Murray (brian-murray) wrote :

I'm tagging it verification-failed based off of Maarten's last comment regarding a regression.

tags: added: verification-failed
removed: verification-needed
Maarten Lankhorst (mlankhorst) wrote :

I've filed a bug upstream, and it was closed with NOTABUG:
"the order of tessellation within a primitive is undefined"

https://bugs.freedesktop.org/show_bug.cgi?id=79016

To be fair, the test doesn't fail, but it produces a WARN, which is allowed.

As a result, marking test as verification-done, rather than verification-failed.

tags: added: verification-done
removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 10.1.3-0ubuntu0.1

---------------
mesa (10.1.3-0ubuntu0.1) trusty; urgency=medium

  * Copy package back to trusty.

mesa (10.1.3-0ubuntu1) utopic; urgency=medium

  [ Maarten Lankhorst ]
  * Merge from unreleased debian-unstable.

  [ Timo Aaltonen ]
  * fix-gpu-hangs-on-bdw.diff: Upstream commit to fix various GPU hangs
    on Broadwell. (LP: #1318589)

mesa (10.1.3-1) UNRELEASED; urgency=medium

  * New upstream release.

mesa (10.1.2-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    + i965: Don't enable reset notification support on Gen4-5 (Closes: #746557)

mesa (10.1.1-1) unstable; urgency=low

  [ Andreas Boll ]
  * New upstream release.
  * Relax ocl-icd-libopencl1 dependency to allow the generic virtual
    libopencl1 as a valid alternative (Closes: #745765).
  * Add missing separator between dependency items '${misc:Depends}'
    and 'libglapi-mesa (= ${binary:Version})'.
 -- Maarten Lankhorst <email address hidden> Mon, 12 May 2014 12:11:50 +0200

Changed in mesa (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.